<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */


class ExportadapterRekursiv extends Exportadapter
{
  
  public function replaceVarNames()
  {
    $variableProvider = new \Kufer\Web\Classes\Exportadapter\ExportadapterRecursiveVariableProviderAdapter(
      $this->scriptingEngine,
      $this
    );

    $filestream = $this->filestream;
    if (is_string($filestream)) {
      $filestream = static function() use ($filestream) { return $filestream; };
    }

    $this->scriptingEngine->interpret($variableProvider, $filestream, null);
  }
}